%define name pysol-cardsets
%define version 4.40
%define release 6mdk
%define pysolver 4.81-3mdk

Summary: A collection of free cardsets adapted for use with PySol
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Games/Cards
URL: http://www.oberhumer.com/opensource/pysol/	
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: pysol >= %pysolver

%description
A collection of 70 free cardsets adapted for use with PySol.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_gamesdatadir/pysol
cp -r data/cardset* %buildroot%_gamesdatadir/pysol
cd %buildroot%_gamesdatadir/pysol
rm -rf cardset-2000 cardset-colossus cardset-hard-a-port cardset-hexadeck cardset-kintengu cardset-oxymoron cardset-tuxedo cardset-vienna-2k

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
%_gamesdatadir/pysol/*

%changelog
* Fri Jun  3 2005 Gtz Waschk <waschk@mandriva.org> 4.40-6mdk
- drop prefix
- remove the cardsets already in the main package

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.40-5mdk
- rebuild

* Mon Jul  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.40-4mdk
- move files around (fixes bug 4153)

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 4.40-3mdk
- rebuild

* Fri Dec 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 4.40-2mdk
- build for new pysol

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 4.40-1mdk
- initial mdk package
